Bug 1311049 - [AEP]Not able to list any existing resources by running "oc get all" after logging on AEP
[AEP]Not able to list any existing resources by running "oc get all" after lo...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Eads
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 04:23 EST by Xia Zhao
Modified: 2016-05-12 12:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:30:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xia Zhao 2016-02-23 04:23:53 EST
Problem description: 
Not able to list any existing resources by running "oc get all" after logging on AEP, can only get these lines without any other thing:
$oc get all
Unable to list "buildconfigs": the server could not find the requested resource
Unable to list "builds": the server could not find the requested resource

Version-Release number of selected component (if applicable):
oc v3.1.1.905
kubernetes v1.2.0-alpha.7-703-gbc4550d

How reproducible:
Always

Steps to Reproduce:
1.Login to AEP
2.Create a new project with sufficient resources in it:
$oc get svc
NAME             CLUSTER_IP      EXTERNAL_IP   PORT(S)    SELECTOR                                             AGE
java-mainclass   x.x.x.x   <none>        8778/TCP   app=java-mainclass,deploymentconfig=java-mainclass   4m
$ oc get po
NAME                     READY     STATUS    RESTARTS   AGE
java-mainclass-1-u62c4   1/1       Running   0          5m
java-mainclass-1-y7igr   1/1       Running   0          6m
3.$oc get all

Actual Result:
Not able to list any existing resources by running "oc get all" after logging on AEP, can only get these lines without any other thing:
$oc get all
Unable to list "buildconfigs": the server could not find the requested resource
Unable to list "builds": the server could not find the requested resource

Expected Result:
Should be able to list all the existing resources by running "oc get all" after logging on AEP

Additional info:
Issue did not exist after connected the same oc client with OSE
Comment 1 Fabiano Franz 2016-02-24 12:40:13 EST
The 'get' command is supposed to fetch with ContinueOnError, but maybe the "all" alias is being considered just one resource. Looking into it.
Comment 2 David Eads 2016-03-04 08:33:16 EST
See https://github.com/openshift/origin/pull/7661.  We've update the determination of what `all` means to correctly choose the list of resources.
Comment 3 David Eads 2016-03-07 07:41:46 EST
Merged into origin.
Comment 4 Xia Zhao 2016-03-07 21:49:39 EST
Verified with devenv-rhel7_3640, it's fixed. Will continue verify this after bug fix merged in AP.
Comment 5 Troy Dawson 2016-03-09 15:36:39 EST
Should be in v3.2.0.1 built today.
Comment 6 Xia Zhao 2016-03-10 04:13:14 EST
It's fixed with latest AEP puddle 2016-03-09.2, together with oc version:
oc v3.2.0.1
kubernetes v1.2.0-alpha.7-703-gbc4550d
Comment 8 errata-xmlrpc 2016-05-12 12:30:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.